IF OBJECT_ID('dbo.fco_pi_pens_rt1') IS NOT NULL
    DROP TABLE dbo.fco_pi_pens_rt1
GO
CREATE TABLE dbo.fco_pi_pens_rt1
-- Planilla Integrada Pensionados Registro Tipo 1: Datos Generales del Aportante
(
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    secuencia smallint NOT NULL,
    razon_social varchar(200) NOT NULL,
    tipo_documento char(2) NOT NULL,
    nro_id varchar(16) NOT NULL,
    dv char(1) NOT NULL,
    forma_presentacion char(1) NOT NULL,
    nombre_sucursal varchar(40) NOT NULL,
    periodo char(6) NOT NULL,
    periodo_salud char(6) NOT NULL,
    nro_radicacion varchar(10) NOT NULL,
    fecha_pago smalldatetime NOT NULL,
    nro_pensionados smallint NOT NULL,
    valor_nomina decimal(12) NOT NULL,
    tipo_pagador tinyint NOT NULL, -- 1 Empleador 2 AFP 3 Pagador
    operador char(2) NOT NULL,
    sit_periodo tinyint NOT NULL DEFAULT 1,
    CONSTRAINT pk_fco_pi_pens_rt1 PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal)
)
GO
GRANT ALL ON dbo.fco_pi_pens_rt1 TO PUBLIC
GO
